Subject: bug#19771: closed (Re: bug#19771: Missing documentation on enviroment variables for guix-deamon)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Feb 2015 17:43:02 +0000

Your bug report

#19771: Missing documentation on enviroment variables for guix-deamon

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19771: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19771
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19771: Missing documentation on enviroment variables for guix-deamon
From: [email-masked] (Ludovic Courtès)
To: Andrei Osipov <[email-masked]>
Cc: [email-masked]
Date: Sat, 07 Feb 2015 18:42:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Andrei Osipov <[email-masked]> skribis:

> <andreoss`> how to change the temporary directory from /tmp to /var/tmp?
>                                                                         [08:14]
> <andreoss`> i have /tmp as tmpfs and it has no enough space to build gcc
> <Sleep_Walker> hm, I can't find it either in ./configure, either as parameter
>                to guix-daemon                                           [08:29]
> <Sleep_Walker> it seems it could respect TMPDIR environment variable    [08:34]
> <Sleep_Walker> andreoss`: could you confirm?                            [08:36]
> <Sleep_Walker> export TMPDIR=/var/tmp ; guix-daemon <your_parameters>
> <andreoss`> Sleep_Walker: confirmed                                     [08:39]

I’ve added two paragraphs to that effect:

     When the daemon performs a build on behalf of the user, it creates a
  build directory under ‘/tmp’ or under the directory specified by its
  ‘TMPDIR’ environment variable; this directory is shared with the
  container for the duration of the build.  Be aware that using a
  directory other than ‘/tmp’ can affect build results—for example, with a
  longer directory name, a build process that uses Unix-domain sockets
  might hit the name length limitation for ‘sun_path’, which it would
  otherwise not hit.

     The build directory is automatically deleted upon completion, unless
  the build failed and the client specified ‘--keep-failed’ (*note
  ‘--keep-failed’: Invoking guix build.).

Thanks for the report!

Ludo’.

Subject: Missing documentation on enviroment variables for guix-deamon
From: Andrei Osipov <[email-masked]>
To: [email-masked]
Date: Wed, 04 Feb 2015 18:47:48 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Consider adding the descrition of env variables used by guix-deamon to
the documentation. 

<andreoss`> how to change the temporary directory from /tmp to /var/tmp?
                                                                        [08:14]
<andreoss`> i have /tmp as tmpfs and it has no enough space to build gcc
<Sleep_Walker> hm, I can't find it either in ./configure, either as parameter
               to guix-daemon                                           [08:29]
<Sleep_Walker> it seems it could respect TMPDIR environment variable    [08:34]
<Sleep_Walker> andreoss`: could you confirm?                            [08:36]
<Sleep_Walker> export TMPDIR=/var/tmp ; guix-daemon <your_parameters>
<andreoss`> Sleep_Walker: confirmed                                     [08:39]
<andreoss`> thanks
<Sleep_Walker> andreoss`: you're welcome                                [08:42]
<Sleep_Walker> andreoss`: could you please file a bug and request
               documentation improvement?
<Sleep_Walker> so it doesn't get lost